
class systemTypeClServer { 
    async all(param) {
         let res=  await window.framework.http.get('/sys_project_type/all', param);
          return res;
    } 


    async page(row) { 
        let res=  await window.framework.http.post('/sys_project_type/page', row);
         return res; 
    } 


    async exportCsv(row) {
        let res = window.framework.http.fileExport("/sys_project_type/export", row);
        return res;
    }
    
    async add(row) { 
        let res=  await window.framework.http.post('/sys_project_type/add', row);
         return res; 
    } 
    
    async edit(row) {
         let res=  await window.framework.http.post('/sys_project_type/edit', row);
          return res; 
    }
      
    async del(row) { 
        let res=  await window.framework.http.post('/sys_project_type/del', row); 
        return res;
    } 
}

const  systemTypeServer = new  systemTypeClServer();
export default systemTypeServer;
                            